# необходимые модули
from time import sleep
from hero import Hero  # наш собственный модуль с классом Hero

# персонажи
knight = Hero("Ричард", 50, 25, 20, "меч")  # рыцарь (мы)
rascal = Hero("Питер", 20, 5, 5, "нож")  # разбойник
dragon = Hero("Дракон", 100, 25, 10, "пламя")  # дракон

# начало квеста
print("Средиземье в опасности! На помощь спешит доблестный рыцарь...")
knight.print_info()
sleep(5)

# встреча с разбойником
print(knight.name + " идёт по лесу. Вдруг видит на пути мелкого воришку...")
sleep(5)

# вывод информации о разбойнике
rascal.print_info()
sleep(5)

# выбор - сразиться с разбойником или нет
# (за победу даются бонусы)
if input("Сразиться? (да/нет) >>") == "да":
    # начало битвы
    print("\nДА НАЧНЁТСЯ БИТВА!\n")
    sleep(5)
    # запуск битвы с разбойником
    knight.fight(rascal)
    sleep(5)

    # если после битвы рыцарь выжил
    # (здоровье больше 0)
    if knight.health > 0:
        knight.health = 50  # восстанавливаем здоровье
        knight.power *= 2  # увеличиваем силу удара
        knight.armor += 30  # добавляем броню
        print(
            "\n"
            + knight.name
            + " восстановил силы и стал опытнее. Теперь сила его удара: "
            + str(knight.power)
            + ", а класс брони:"
            + str(knight.armor)
            + "\n"
        )

sleep(5)
# встреча с драконом
print("\nНаконец-то " + knight.name + " добирается до подземелья!")
# вывод информации о драконе
dragon.print_info()


print("\nДА НАЧНЁТСЯ БИТВА!\n")
sleep(5)
# запуск битвы с драконом
knight.fight(dragon)
